body {
  font-family: "Roboto", sans-serif;
  color: #434455;
  background-color: #fff;
}

a {
  text-decoration: none;
}

ul {
  list-style-type: none;
}

img {
  display: block;
  width: 100%;
  height: auto;
}

h1,
h2,
h3,
p {
  margin: 0;
}

ul {
  margin: 0;
  padding-left: 0;
}

.header-container {
  display: flex;
  align-items: center;
  position: relative;
}

.container {
  max-width: 320px;
  padding-left: 16px;
  padding-right: 16px;
  margin-left: auto;
  margin-right: auto;
}

@media screen and (min-width: 768px) {
  .container {
    max-width: 768px;
  }
}

@media screen and (min-width: 1158px) {
  .container {
    max-width: 1158px;
    padding-left: 15px;
    padding-right: 15px;
  }
}

.header {
  border-bottom: 1px solid #e7e9fc;
  box-shadow: 0px 2px 1px rgba(46, 47, 66, 0.08),
    0px 1px 1px rgba(46, 47, 66, 0.16), 0px 1px 6px rgba(46, 47, 66, 0.08);
}

.navigation {
  display: flex;
  align-items: center;
}

.nav-list-container {
  display: flex;
  gap: 40px;
  justify-content: space-between;
}

.nav-list-one {
  position: relative;
}

.webstudio {
  font-family: "Raleway", sans-serif;
  font-weight: 700;
  font-size: 18px;
  line-height: 1.17;
  letter-spacing: 0.03em;
  text-transform: uppercase;
  color: #4d5ae5;
  margin-right: 76px;
  padding: 16px 0;
}

.web {
  color: #2e2f42;
}

.nav-list {
  font-weight: 500;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
  color: #2e2f42;
  padding: 24px 0;
  display: block;
}

.nav-list:hover {
  color: #404bbf;
}

.nav-list:focus {
  color: #404bbf;
}

.nav-list-studio {
  display: flex;
  font-weight: 500;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
  padding: 24px 0;
  color: #404bbf;
  transition: color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.nav-list-studio::after {
  content: "";
  position: absolute;
  border-radius: 2px;
  width: 100%;
  height: 4px;
  left: 0;
  bottom: -1px;
  background-color: #404bbf;
}

.adress-list-menu {
  display: flex;
  gap: 40px;
}

.address {
  font-style: normal;
  margin-left: auto;
}

.address-list {
  transition: color 250ms cubic-bezier(0.4, 0, 0.2, 1);
  font-size: 12px;
  line-height: 1.5;
  letter-spacing: 0.02em;
  color: #434455;
}



.address-list:hover {
  color: #404bbf;
}

.address-list:focus {
  color: #404bbf;
}

@media screen and (min-width: 768px) {
  .adress-list-menu {
    flex-direction: column;
    gap: 12px;
  }
}

@media only screen and (min-width: 1158px) {
  .adress-list-menu {
flex-direction: row;
gap: 40px;
  }
  .address-list {
    font-size: 16px;
  }
}

.section-one {
  background-image: linear-gradient(
      rgba(46, 47, 66, 0.7),
      rgba(46, 47, 66, 0.7)
    ),
    url(../images/hero-mob1x.jpg);
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  padding: 72px 0;
  max-width: 1440px;
  background-color: #2e2f42;
  margin-left: auto;
  margin-right: auto;
}

.header-one {
  font-size: 36px;
  line-height: 1.11;
  letter-spacing: 0.02em;
  text-align: center;
  color: #ffffff;
  max-width: 216px;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 72px;
}
  
@media screen and (min-device-pixel-ratio: 2) and (max-width: 767px),
  screen and (min-resolution: 192dpi) and (max-width: 767px),
  screen and (min-resolution: 2dppx) and (max-width: 767px) {
  .section-one {
    background-image: linear-gradient(
      rgba(46, 47, 66, 0.7),
      rgba(46, 47, 66, 0.7)
    ),
    url(../images/hero-mob2x.jpg);
}
  }

@media only screen and (min-width: 768px) {
  .section-one {
   background-image: linear-gradient(
     rgba(46, 47, 66, 0.7),
     rgba(46, 47, 66, 0.7)
   ),
   url(../images/hero-tablet1x.jpg);
   padding: 112px 0;
 }
.header-one {
 font-size: 56px;
 line-height: 1.07;
 max-width: 496px;
margin-bottom: 36px;
}
}

@media screen and (min-device-pixel-ratio: 2) and (min-width: 768px),
 screen and (min-resolution: 192dpi) and (min-width: 768px),
 screen and (min-resolution: 2dppx) and (min-width: 768px) {
 .section-one{
   background-image: linear-gradient(
     rgba(46, 47, 66, 0.7),
     rgba(46, 47, 66, 0.7)
   ),
   url(../images/hero-tablet2x.jpg);
}
 }


 @media only screen and (min-width: 1158px) {
   .section-one{
     background-image: linear-gradient(
       rgba(46, 47, 66, 0.7),
       rgba(46, 47, 66, 0.7)
     ),
     url(../images/office.jpg);
     padding: 188px 0;
 }
.header-one{
 margin-bottom: 48px;
}
 }

 @media screen and (min-device-pixel-ratio: 2) and (min-width: 1158px),
 screen and (min-resolution: 192dpi) and (min-width: 1158px),
 screen and (min-resolution: 2dppx) and (min-width: 1158px) {
 .section-one{
   background-image: linear-gradient(
     rgba(46, 47, 66, 0.7),
     rgba(46, 47, 66, 0.7)
   ),
   url(../images/office2x-min.jpg);
}
 }

 @media screen and (max-width: 767px) {
  .section-one {
    max-width: 320px;
  }
}

 @media only screen and (min-width: 768px) and (max-width: 1157px) {
  .section-one {
    max-width: 768px;
  }
}

.button-title {
  font-weight: 500;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.04em;
  color: #fff;
  background-color: #4d5ae5;
  cursor: pointer;
  display: block;
  min-width: 169px;
  height: 56px;
  border: none;
  border-radius: 4px;
  margin-left: auto;
  margin-right: auto;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.button-title:hover {
  background-color: #404bbf;
}

.button-title:focus {
  background-color: #404bbf;
}

/* section-two-adaptated */

.section-four {
  padding: 96px 0;
}

.list-two {
  display: flex;
  gap: 24px;
}

.paragraph-two {
  font-weight: 500;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
  color: #434455;
  text-align: left;
}

@media screen and (max-width: 767px) {
  .list-two {
    display: flex;
    flex-direction: column;
    gap: 72px;
  }
}

@media screen and (min-width: 768px) {
  .list-two {
    flex-direction: row;
    flex-wrap: wrap;
    row-gap: 72px;
    column-gap: 24px;
  }
.list-two-elemnt {
  width: calc((100% - 24px) / 2);
}
}

@media screen and (min-width: 1158px) {
  .list-two {
    flex-wrap: nowrap;
    gap: 24px;
  }
  .section-four {
    padding-top: 120px;
    padding-bottom: 120px;
  }
}

.icon-section-two {
  display: flex;
  align-items: center;
  justify-content: center;
  border: 1px solid #8e8f99;
  border-radius: 4px;
  width: 264px;
  height: 112px;
  background: #f4f4fd;
  margin-bottom: 8px;
}

@media screen and (max-width: 1157px) {
  .icon-section-two {
    display: none;
  }
}

.features-subtitle {
  font-weight: 500;
  font-size: 20px;
  line-height: 1.2;
  letter-spacing: 0.02em;
  color: #2e2f42;
  margin-bottom: 8px;
  text-align: left;
}

@media screen and (max-width: 767px) {
  .features-subtitle {
    font-weight: 700;
    font-size: 36px;
    line-height: 1.11;
    text-align: center;
  }
}

@media screen and (min-width: 768px) {
  .features-subtitle {
    font-weight: 700;
    font-size: 36px;
    line-height: 1.11;
  }
}

@media screen and (min-width: 1158px) {
  .features-subtitle {
    font-weight: 500;
    font-size: 20px;
    line-height: 1.2;
  }
  .paragraph-two {
    font-weight: 400;
  }
}

.header-four-title {
  font-weight: 500;
  font-size: 20px;
  line-height: 1.2;
  letter-spacing: 0.02em;
  color: #2e2f42;
  margin-bottom: 8px;
  text-align: left;
}

.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;
  white-space: nowrap;
  clip-path: inset(100%);
  clip: rect(0 0 0 0);
  overflow: hidden;
}


.list-three {
  display: flex;
  gap: 24px;
  align-items: center;
  justify-content: center;
}

.section-three-list {
  border-radius: 0px 0px 4px 4px;
  background: #fff;
  box-shadow: 0 2px 1px 0 rgba(46, 47, 66, 0.08),
    0 1px 1px 0 rgba(46, 47, 66, 0.16), 0 1px 6px 0 rgba(46, 47, 66, 0.08);
}

.section-three {
  background-color: #f4f4fd;
  padding: 96px 0;
}

@media screen and (max-width: 767px) {
  .list-three {
    display: flex;
    flex-direction: column;
    gap: 72px;
    align-items: center;
}
}

@media screen and (min-width: 768px) {
  .list-three {
    flex-direction: row;
    flex-wrap: wrap;
    row-gap: 64px;
    column-gap: 24px;
  }
}

@media screen and (min-width: 1158px) {
  .list-three {
    flex-wrap: nowrap;
    gap: 24px;
  }
  .section-three {
    padding: 120px 0;
  }

}

.header-three-title {
  font-weight: 500;
  font-size: 20px;
  line-height: 1.2;
  letter-spacing: 0.02em;
  color: #2e2f42;
  margin-bottom: 8px;
  text-align: center;
}

.name {
  padding: 32px 0;
}

.paragraph {
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
  color: #434455;
  text-align: center;
}

.section-title {
  font-size: 36px;
  line-height: 1.11;
  letter-spacing: 0.02em;
  text-transform: capitalize;
  color: #2e2f42;
  text-align: center;
  margin-bottom: 72px;
}

.list-four {
  display: flex;
   flex-wrap: wrap;
  row-gap: 48px;
}

.list-four-element {
  transition: box-shadow 250ms cubic-bezier(0.4, 0, 0.2, 1);
  position: relative;
  overflow: hidden;
}

.list-four-element:hover {
  box-shadow: 0px 1px 6px rgba(46, 47, 66, 0.08),
    0px 1px 1px rgba(46, 47, 66, 0.16), 0px 2px 1px rgba(46, 47, 66, 0.08);
}

@media only screen and (max-width: 1157px) {
  .list-four-element
  {
    box-shadow: 0px 1px 6px rgba(46, 47, 66, 0.08),
    0px 1px 1px rgba(46, 47, 66, 0.16), 0px 2px 1px rgba(46, 47, 66, 0.08);
}  
  }


.image-div {
  position: relative;
  overflow: hidden;
}

.paragraph-four {
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
  color: #434455;
  text-align: left;
}

@media screen and (min-width: 768px) {
  .list-four {
    flex-direction: row;
    flex-wrap: wrap;
gap: 72px 24px;
  }
  .list-four-element {
    width: calc((100% - 24px) / 2);
  }
}

@media screen and (min-width: 1158px) {
  .list-four {
    flex-wrap: wrap;
    gap: 24px;
  }
  .section-four{
    padding: 120px 0;
  }

.list-four-element {
  width: calc((100% - 48px) / 3);
}
}

.paragraph-image {
  position: absolute;
  top: 0;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
  color: #f4f4fd;
  padding: 40px 32px;
  background-color: #4d5ae5;
  height: 100%;
  width: 100%;
  transform: translateY(100%);
  transition: transform 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.list-four-element:hover .paragraph-image {
  transform: translateY(0%);
}

.paragraph-image:hover {
  transform: translateY(0%);
}

.portfolio-border {
  padding: 32px 16px;
  border: 1px solid #e7e9fc;
  border-top: none;
  background: #fff;
}

 /* footer */

.footer {
  background-color: #2e2f42;
  padding: 96px 0;
}

.container-footer {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 72px;
}

.footer-paragraph {
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
  color: #f4f4fd;
  max-width: 264px;
}

.web-footer {
  color: #f4f4fd;
}

.webstudio-footer {
  font-family: "Raleway", sans-serif;
  font-weight: 700;
  font-size: 18px;
  line-height: 1.17;
  letter-spacing: 0.03em;
  text-transform: uppercase;
  color: #4d5ae5;
  display: block;
  text-align: center;
  margin-bottom: 16px;
}

.icons {
  display: flex;
  justify-content: center;
  align-items: stretch;
  gap: 24px;
  margin-top: 8px;
  margin-left: 16px;
  margin-right: 16px;
  margin-bottom: auto;
}
.icon-list-element {
  width: 40px;
  height: 40px;
}
.svg-icon {
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
  width: 100%;
  height: 100%;
  background-color: #4d5ae5;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
}
.svg-icon:hover,
.svg-icon:focus {
  background-color: #404bbf;
}

.svg-icon-fill {
  fill: #f4f4fd;
}

.icons-footer-container {
}
.social-media {
  font-weight: 500;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
  color: #fff;
  margin-bottom: 16px;
  text-align: center;
}

.list-footer-media {
  display: flex;
  gap: 16px;
}

.svg-icon-footer {
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
  width: 100%;
  height: 100%;
  background-color: #4d5ae5;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.svg-icon-footer:hover,
.svg-icon-footer:focus {
  background-color: #31d0aa;
}

.subscribe-paragraph {
  font-weight: 500;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
  color: #fff;
  margin-bottom: 16px;
  text-align: center;
}

.form-footer {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 24px;
}

.lblfooter {
  display: flex;
}

.input-field {
  width: 288px;
  height: 40px;
  border: 1px solid #fff;
  background-color: transparent;
  font-size: 12px;
  line-height: 2;
  letter-spacing: 0.04em;
  padding-left: 16px;
  box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.15);
  border-radius: 4px;
  color: #fff;
}

@media only screen and (min-width: 768px) {
  .input-field {
   width: 264px; 
  }
}
.input-field::placeholder {
  color: #fff;
}

input,
button {
  font-family: "Roboto", sans-serif;
}
.subscribe-btn {
  min-width: 165px;
  height: 40px;
  font-weight: 500;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.04em;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  color: #fff;
  background-color: #4d5ae5;
  border: none;
  border-radius: 4px;
}

.subscribe-btn:hover,
.subscribe-btn:focus {
  background-color: #404bbf;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.subscribe-svg {
  fill: #fff;
  margin-left: 16px;
}

@media only screen and (min-width: 768px) {
  .container-footer {
  flex-direction: row;
  flex-wrap: wrap;
  align-items: baseline;
  gap: 72px 24px;
  padding-left: 108px;
    
  }
  .webstudio-footer {
    text-align: left;
  }
  .social-media {
    text-align: left;
  }

  .subscribe-paragraph {
text-align: left;
  }

  .form-footer {
    flex-direction: row;
  }
}

@media only screen and (min-width: 1158px) {
  .footer {
padding: 100px 0;
  }
  .container-footer {
    padding-left: 15px;
    gap: 0;
  }
  .logo-footer {
    margin-right: 120px;
  }
  .icons-footer-container {
    margin-right: auto;
  }
}
/* modal */

.modal-container {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(46, 47, 66, 0.4);
  transition: opacity 250ms cubic-bezier(0.4, 0, 0.2, 1),
    visibility 250ms cubic-bezier(0.4, 0, 0.2, 1);
  opacity: 0;
  pointer-events: none;
  visibility: hidden;
}

.modal-container.is-open {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}

.modal-window {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 288px;
  min-height: 584px;
  background: #fcfcfc;
  box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.14), 0px 1px 3px rgba(0, 0, 0, 0.12),
    0px 2px 1px rgba(0, 0, 0, 0.2);
  border-radius: 4px;
  transition: transform 250ms cubic-bezier(0.4, 0, 0.2, 1);
  padding: 72px 16px 24px 16px;
}


.modal-container:not(.is-open) .modal-window {
  transform: translate(-50%, -50%) scale(1.5);
}

.close-btn {
  position: absolute;
  top: 24px;
  right: 24px;
  width: 24px;
  height: 24px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #e7e9fc;
  border: 1px solid rgba(0, 0, 0, 0.1);
  padding: 0;
  cursor: pointer;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1),
    border 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.close-btn:hover,
.close-btn:focus {
  background-color: #404bbf;
  border: none;
}

.close-icon {
  transition: fill 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.close-btn:hover svg,
.close-btn:focus svg {
  fill: #ffffff;
}

.paragraph-box {
  font-family: "Roboto", sans-serif;
  font-weight: 500;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
  text-align: center;
  color: #2e2f42;
  margin-bottom: 16px;
}

.form-div {
  margin-bottom: 8px;
}

.label-name {
  font-size: 12px;
  line-height: 1.17;
  letter-spacing: 0.04em;
  color: #8e8f99;
  display: block;
  margin-bottom: 4px;
}

.input-icon-container {
  position: relative;
}

.input-field-modal {
  border: 1px solid rgba(46, 47, 66, 0.4);
  border-radius: 4px;
  width: 100%;
  height: 40px;
  background-color: transparent;
  padding-left: 38px;
  outline: transparent;
  transition: border-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
  outline: transparent;
}

.input-field-modal:focus {
  border-color: #4d5ae5;
}

.svg-name {
  position: absolute;
  left: 16px;
  top: 50%;
  transform: translateY(-50%);
  transition: fill 250ms cubic-bezier(0.4, 0, 0.2, 1);
  fill: #2e2f42;
}

.input-field-modal:focus-within + .svg-name {
  fill: #4d5ae5;
}

.div-comment {
  margin-bottom: 16px;
}

.comment-textarea {
  width: 100%;
  height: 120px;
  font-size: 12px;
  line-height: 1.17;
  letter-spacing: 0.04em;
  color: rgba(46, 47, 66, 0.4);
  border: 1px solid rgba(46, 47, 66, 0.4);
  border-radius: 4px;
  background-color: transparent;
  padding: 8px 16px;
  outline: transparent;
  resize: none;
  transition: border-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.comment-textarea:focus {
  border-color: #4d5ae5;
}

input::placeholder {
  font-family: "Roboto", sans-serif;
  font-weight: 400;
  font-size: 12px;
  line-height: 1.16667;
  letter-spacing: 0.04em;
  color: rgba(46, 47, 66, 0.4);
}

.last-button {
  display: block;
  min-width: 169px;
  height: 56px;
  font-family: "Roboto", sans-serif;
  font-weight: 500;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.04em;
  color: #fff;
  background-color: #4d5ae5;
  box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.15);
  cursor: pointer;
  border: none;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
  margin-right: auto;
  margin-left: auto;
  border-radius: 4px;
}

.last-button:hover {
  background-color: #404bbf;
}

.last-button:focus {
  background-color: #404bbf;
}

.checkbox-container {
  margin-bottom: 24px;
}


.label-privacy {
  display: flex;
  align-items: center;
  font-size: 12px;
  line-height: 1.17;
  letter-spacing: 0.04em;
  color: #8e8f99;
}

.span-privacy {
  width: 16px;
  height: 16px;
  border: 1px solid rgba(46, 47, 66, 0.4);
  border-radius: 2px;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1),
    border 250ms cubic-bezier(0.4, 0, 0.2, 1),
    fill 250ms cubic-bezier(0.4, 0, 0.2, 1);
  display: inline-flex;
  align-items: center;
  justify-content: center;
  fill: transparent;
  margin-right: 8px;
  flex-shrink: 0;
}

.privacy-policy {
  line-height: 1.33;
  text-decoration: underline;
  text-decoration-skip-ink: none;
  color: #4d5ae5;
}

input:checked + label > span {
  background-color: #404bbf;
  border: none;
  fill: #f4f4fd;
}

@media only screen and (min-width: 768px) {
  .modal-window {
width: 408px;
padding: 72px 24px 24px;
  }
}

/* menu */

.btn-open-burger {
  display: block;
  margin-left: auto;
  line-height: 0;
  fill: #2f2f37;
  background-color: transparent;
  border: none;
  cursor: pointer;
  padding: 0;
}
.svg-open-burger {
  fill: #2f2f37;
}


.mobile-menu-container {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  z-index: 1000;
  transition: opacity 250ms cubic-bezier(0.4, 0, 0.2, 1),
    visibility 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.mobile-menu-container.is-open {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}

.mobile-menu-window {
  display: flex;
  flex-direction: column;
  position: absolute;
  top: 50%;
  left: 50%;
  width: 100%;
  min-height: 100%;
  background-color: #fff;
  transform: translate(-50%, -50%);
  transition: transform 250ms cubic-bezier(0.4, 0, 0.2, 1);
  padding-top: 72px;
  padding-right: 24px;
  padding-bottom: 40px;
  padding-left: 16px;
  z-index: 1000;
}

@media screen and (min-width: 768px) {
  .btn-open-burger {
    display: none;
  }
}

@media screen and (min-width: 768px) {
  .mobile-menu-container {
    display: none;
  }
}

@media screen and (max-width: 767px) {
  .address {
    display: none;
  }
  .nav-list-container {
    display: none;
  }
}
.mobile-menu-close {
  position: absolute;
  top: 24px;
  right: 24px;
  width: 24px;
  height: 24px;
  border-radius: 50%;
  background-color: transparent;
  border: 1px solid rgba(0, 0, 0, 0.1);
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0;
  cursor: pointer;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1),
    border 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.mobile-menu-close:hover,
.mobile-menu-close:focus {
  background-color: #404bbf;
  border: none;
}

.svg-close-icon {
  transition: fill 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.mobile-menu-close:hover svg,
.mobile-menu-close:focus svg {
  fill: #ffffff;
}

.nav-mob-menu {
  margin-bottom: auto;
}


.mobile-menu-li:not(:last-child) {
  margin-bottom: 40px;
}
.mobile-menu-link {
  font-weight: 700;
  font-size: 36px;
  line-height: 1.11;
  letter-spacing: 0.02em;
  color: #2e2f42;
  transition: color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.mobile-menu-link.active {
  color: #404bbf;
}

.mobile-menu-link:hover,
.mobile-menu-link:focus {
  color: #404bbf;
}

.address-menu-mobile {
  margin-top: 0;
  margin-bottom: 48px;
  font-style: normal;
}

.adress-list-menu-mobile {
  display: flex;
  flex-direction: column;
  justify-content: start;
  gap: 24px;
}
.address-list-mobile {
  font-weight: 500;
  font-size: 20px;
  line-height: 1.2;
  letter-spacing: 0.02em;
  color: #434455;
  transition: color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.address-list-mobile:hover {
  color: #4d5ae5;
}
.address-list-mobile:focus {
  color: #4d5ae5;
}

.address-list-mobile.active {
  color: #4d5ae5; 
}

.mobile-media {
  display: flex;
  align-items: center;
  gap: 40px;

}

.mobile-media-item {
  width: 40px;
  height: 40px;
}

.svg-icon-mobile {
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
  width: 100%;
  height: 100%;
  background-color: #4d5ae5;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.svg-icon-fill {
  fill: #f4f4fd;
}

.svg-icon-mobile:hover,
.svg-icon-mobile:focus {
  background-color: #404bbf;
}
